#pragma rtGlobals=1		// Use modern global access method.
#pragma IndependentModule=microBeamStart

Static StrConstant MICRO_GEOMETRY_VERSION_PATH = "root:Packages:MICRO_GEOMETRY_VERSION"


//Static Function IgorStartOrNewHook(IgorApplicationNameStr)
//	String IgorApplicationNameStr
//	//	JonFirst#setMICRO_GEOMETRY_VERSION_PATH()
//	// Execute/P "CloseProc /NAME=\"microBeamStart.ipf\"/COMP"
//End


Static Function IgorStartOrNewHook(IgorApplicationNameStr)
	String IgorApplicationNameStr
	PathInfo home
	if (V_flag)
		return 0
	endif
	setMICRO_GEOMETRY_VERSION_PATH()
	Execute/P/Q "INSERTINCLUDE  \"mdaFiles\", version>=1.05";Execute/P/Q "COMPILEPROCEDURES "
End
//
Static Structure microImageTypePrefs
	int16	old
	int16	hdf5
	int16	tiff
	int16	spe
EndStructure
//
Static Function setMICRO_GEOMETRY_VERSION_PATH()
	if (exists(MICRO_GEOMETRY_VERSION_PATH)==2)
		return 0
	endif
	STRUCT microImageTypePrefs prefs
	LoadPackagePreferences/MIS=1 "microGeo","microGeoNPrefs",1,prefs
	if (V_bytesRead<8)
		DoAlert 0,"Unable to find prefered images types, you must do it yourself"
		return 0
	endif

	NewDataFolder/O root:Packages
	Variable/G $MICRO_GEOMETRY_VERSION_PATH
	NVAR type=$MICRO_GEOMETRY_VERSION_PATH
	if (prefs.old)
		type = 0
	else
		type += prefs.hdf5 ? 1 : 0
		type += prefs.tiff ? 2 : 0
		type += prefs.spe ? 4 : 0
	endif
	Variable/G $MICRO_GEOMETRY_VERSION_PATH=type
	String insert

	if (type==0)
		insert = "INSERTINCLUDE  \"microGeometry\", version>=2.62"
	elseif (type&2)
		insert = "INSERTINCLUDE  \"microGeometryN\", version>=1.38"
	elseif (type&5)
		insert = "INSERTINCLUDE  \"microGeometryN\", version>=1.38"
	else
		return -1
	endif
	Execute/P insert
	Execute/P/Q "COMPILEPROCEDURES "
	Execute/P "Init_microGeo()"
	Execute/P/Q "MakeMicroPanel(-1)"
	return 0
End
